Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java	(revision 468)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultMouseClickReductionRuleTest.java	(revision 557)
@@ -1,3 +1,2 @@
-//-------------------------------------------------------------------------------------------------
 // Module    : $RCSfile: TaskTreeManagerTest.java,v $
 // Version   : $Revision: 0.0 $  $Author: Patrick $  $Date: 08.11.2011 21:32:36 $
@@ -5,5 +4,4 @@
 // Creation  : 2011 by Patrick
 // Copyright : Patrick Harms, 2011
-//-------------------------------------------------------------------------------------------------
 
 package de.ugoe.cs.quest.tasktrees.temporalrelation;
@@ -11,164 +9,159 @@
 import org.junit.Test;
 
-import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
-import de.ugoe.cs.quest.eventcore.userinteraction.MouseButtonDown;
-import de.ugoe.cs.quest.eventcore.userinteraction.MouseButtonInteraction;
-import de.ugoe.cs.quest.eventcore.userinteraction.MouseButtonUp;
-import de.ugoe.cs.quest.eventcore.userinteraction.MouseClick;
+import de.ugoe.cs.quest.eventcore.gui.MouseButtonDown;
+import de.ugoe.cs.quest.eventcore.gui.MouseButtonInteraction;
+import de.ugoe.cs.quest.eventcore.gui.MouseButtonUp;
+import de.ugoe.cs.quest.eventcore.gui.MouseClick;
+import de.ugoe.cs.quest.eventcore.guimodel.IGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyInteraction;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
 
-//-------------------------------------------------------------------------------------------------
 /**
  * TODO comment
- *
+ * 
  * @version $Revision: $ $Date: $
- * @author  2011, last modified by $Author: $
+ * @author 2011, last modified by $Author: $
  */
-//-------------------------------------------------------------------------------------------------
-public class DefaultMouseClickReductionRuleTest extends AbstractTemporalRelationshipTC
-{
-  //-----------------------------------------------------------------------------------------------
-  /**
-   *
-   */
-  //-----------------------------------------------------------------------------------------------
-  @Test
-  public void testMouseClickInOneSequenceElement()
-  {
-    MouseButtonInteraction.Button leftBtn = MouseButtonInteraction.Button.LEFT;
-    MouseButtonInteraction.Button middleBtn = MouseButtonInteraction.Button.MIDDLE;
-    MouseButtonInteraction.Button rightBtn = MouseButtonInteraction.Button.RIGHT;
-    
-    GUIElement element1 = new DummyGUIElement("elem1");
-    GUIElement element2 = new DummyGUIElement("elem1");
-    
-    simulateInteraction(element1, new MouseButtonDown(leftBtn));
-    simulateInteraction(element1, new MouseButtonUp(leftBtn));
-    simulateInteraction(element1, new MouseClick(leftBtn));
+public class DefaultMouseClickReductionRuleTest extends AbstractTemporalRelationshipTC {
 
-    new TaskTreeChecker().assertTaskTree
-      ("Sequence sequence {" +
-       "  Interaction LeftMouseClick {}" +
-       "}", getTaskTree());
-    
-    simulateInteraction(element1, new DummyInteraction("bla", 1));
-    simulateInteraction(element1, new DummyInteraction("bli", 1));
-    simulateInteraction(element1, new MouseButtonDown(middleBtn));
-    simulateInteraction(element1, new MouseButtonUp(middleBtn));
-    simulateInteraction(element1, new MouseClick(middleBtn));
-    simulateInteraction(element1, new DummyInteraction("blo", 1));
-    simulateInteraction(element1, new DummyInteraction("blu", 1));
+    /**
+     *
+     */
+    @Test
+    public void testMouseClickInOneSequenceElement() {
+        MouseButtonInteraction.Button leftBtn = MouseButtonInteraction.Button.LEFT;
+        MouseButtonInteraction.Button middleBtn = MouseButtonInteraction.Button.MIDDLE;
+        MouseButtonInteraction.Button rightBtn = MouseButtonInteraction.Button.RIGHT;
 
-    new TaskTreeChecker().assertTaskTree
-      ("Sequence sequence {" +
-       "  Interaction LeftMouseClick {}" +
-       "  Interaction bla {}" +
-       "  Interaction bli {}" +
-       "  Interaction MiddleMouseClick {}" +
-       "  Interaction blo {}" +
-       "  Interaction blu {}" +
-       "}", getTaskTree());
+        IGUIElement element1 = new DummyGUIElement("elem1");
+        IGUIElement element2 = new DummyGUIElement("elem1");
 
-    simulateInteraction(element2, new DummyInteraction("bla", 1));
-    simulateInteraction(element2, new DummyInteraction("bli", 1));
-    simulateInteraction(element2, new MouseButtonDown(rightBtn));
-    simulateInteraction(element2, new MouseButtonUp(rightBtn));
-    simulateInteraction(element2, new MouseClick(rightBtn));
-    simulateInteraction(element2, new DummyInteraction("blo", 1));
-    simulateInteraction(element2, new DummyInteraction("blu", 1));
+        simulateEvent(new MouseButtonDown(leftBtn), element1);
+        simulateEvent(new MouseButtonUp(leftBtn), element1);
+        simulateEvent(new MouseClick(leftBtn), element1);
 
-    new TaskTreeChecker().assertTaskTree
-      ("Sequence sequence0 {" +
-       "  Sequence sequence1 {" +
-       "    Interaction LeftMouseClick {}" +
-       "    Interaction bla {}" +
-       "    Interaction bli {}" +
-       "    Interaction MiddleMouseClick {}" +
-       "    Interaction blo {}" +
-       "    Interaction blu {}" +
-       "  }" +
-       "  Sequence sequence2 {" +
-       "    Interaction bla {}" +
-       "    Interaction bli {}" +
-       "    Interaction RightMouseClick {}" +
-       "    Interaction blo {}" +
-       "    Interaction blu {}" +
-       "  }" +
-       "}", getTaskTree());
+        new TaskTreeChecker().assertTaskTree
+            ("Sequence sequence {" +
+             "  Event LeftMouseClick {}" +
+             "}", getTaskTree());
 
-    simulateInteraction(element1, new MouseButtonDown(leftBtn));
-    simulateInteraction(element1, new MouseButtonUp(leftBtn));
-    simulateInteraction(element2, new MouseClick(leftBtn));
+        simulateEvent(new DummyInteraction("bla", 1), element1);
+        simulateEvent(new DummyInteraction("bli", 1), element1);
+        simulateEvent(new MouseButtonDown(middleBtn), element1);
+        simulateEvent(new MouseButtonUp(middleBtn), element1);
+        simulateEvent(new MouseClick(middleBtn), element1);
+        simulateEvent(new DummyInteraction("blo", 1), element1);
+        simulateEvent(new DummyInteraction("blu", 1), element1);
 
-    new TaskTreeChecker().assertTaskTree
-      ("Sequence sequence0 {" +
-       "  Sequence sequence1 {" +
-       "    Interaction LeftMouseClick {}" +
-       "    Interaction bla {}" +
-       "    Interaction bli {}" +
-       "    Interaction MiddleMouseClick {}" +
-       "    Interaction blo {}" +
-       "    Interaction blu {}" +
-       "  }" +
-       "  Sequence sequence2 {" +
-       "    Interaction bla {}" +
-       "    Interaction bli {}" +
-       "    Interaction RightMouseClick {}" +
-       "    Interaction blo {}" +
-       "    Interaction blu {}" +
-       "  }" +
-       "  Sequence sequence3 {" +
-       "    Interaction LeftMouseButtonDown {}" +
-       "    Interaction LeftMouseButtonUp {}" +
-       "  }" +
-       "  Sequence sequence4 {" +
-       "    Interaction LeftMouseClick {}" +
-       "  }" +
-       "}", getTaskTree());
+        new TaskTreeChecker().assertTaskTree
+            ("Sequence sequence {" +
+             "  Event LeftMouseClick {}" +
+             "  Event bla {}" +
+             "  Event bli {}" +
+             "  Event MiddleMouseClick {}" +
+             "  Event blo {}" +
+             "  Event blu {}" +
+             "}", getTaskTree());
 
-    simulateInteraction(element1, new MouseButtonDown(middleBtn));
-    simulateInteraction(element1, new MouseButtonUp(middleBtn));
-    simulateInteraction(element1, new MouseClick(rightBtn));
-    simulateInteraction(element2, new DummyInteraction("bla", 1));
+        simulateEvent(new DummyInteraction("bla", 1), element2);
+        simulateEvent(new DummyInteraction("bli", 1), element2);
+        simulateEvent(new MouseButtonDown(rightBtn), element2);
+        simulateEvent(new MouseButtonUp(rightBtn), element2);
+        simulateEvent(new MouseClick(rightBtn), element2);
+        simulateEvent(new DummyInteraction("blo", 1), element2);
+        simulateEvent(new DummyInteraction("blu", 1), element2);
 
-    new TaskTreeChecker().assertTaskTree
-      ("Sequence sequence0 {" +
-       "  Sequence sequence1 {" +
-       "    Interaction LeftMouseClick {}" +
-       "    Interaction bla {}" +
-       "    Interaction bli {}" +
-       "    Interaction MiddleMouseClick {}" +
-       "    Interaction blo {}" +
-       "    Interaction blu {}" +
-       "  }" +
-       "  Sequence sequence2 {" +
-       "    Interaction bla {}" +
-       "    Interaction bli {}" +
-       "    Interaction RightMouseClick {}" +
-       "    Interaction blo {}" +
-       "    Interaction blu {}" +
-       "  }" +
-       "  Sequence sequence3 {" +
-       "    Interaction LeftMouseButtonDown {}" +
-       "    Interaction LeftMouseButtonUp {}" +
-       "  }" +
-       "  Sequence sequence4 {" +
-       "    Interaction LeftMouseClick {}" +
-       "  }" +
-       "  Sequence sequence5 {" +
-       "    Sequence sequence6 {" +
-       "      Interaction MiddleMouseButtonDown {}" +
-       "      Interaction MiddleMouseButtonUp {}" +
-       "    }" +
-       "    Interaction RightMouseClick {}" +
-       "  }" +
-       "  Sequence sequence7 {" +
-       "    Interaction bla {}" +
-       "  }" +
-       "}", getTaskTree());
+        new TaskTreeChecker().assertTaskTree
+            ("Sequence sequence0 {" +
+             "  Sequence sequence1 {" +
+             "    Event LeftMouseClick {}" +
+             "    Event bla {}" +
+             "    Event bli {}" +
+             "    Event MiddleMouseClick {}" +
+             "    Event blo {}" +
+             "    Event blu {}" +
+             "  }" +
+             "  Sequence sequence2 {" +
+             "    Event bla {}" +
+             "    Event bli {}" +
+             "    Event RightMouseClick {}" +
+             "    Event blo {}" +
+             "    Event blu {}" +
+             "  }" +
+             "}", getTaskTree());
 
-  }
-  
+        simulateEvent(new MouseButtonDown(leftBtn), element1);
+        simulateEvent(new MouseButtonUp(leftBtn), element1);
+        simulateEvent(new MouseClick(leftBtn), element2);
+
+        new TaskTreeChecker().assertTaskTree
+            ("Sequence sequence0 {" +
+             "  Sequence sequence1 {" +
+             "    Event LeftMouseClick {}" +
+             "    Event bla {}" +
+             "    Event bli {}" +
+             "    Event MiddleMouseClick {}" +
+             "    Event blo {}" +
+             "    Event blu {}" +
+             "  }" +
+             "  Sequence sequence2 {" +
+             "    Event bla {}" +
+             "    Event bli {}" +
+             "    Event RightMouseClick {}" +
+             "    Event blo {}" +
+             "    Event blu {}" +
+             "  }" +
+             "  Sequence sequence3 {" +
+             "    Event LeftMouseButtonDown {}" +
+             "    Event LeftMouseButtonUp {}" +
+             "  }" +
+             "  Sequence sequence4 {" +
+             "    Event LeftMouseClick {}" +
+             "  }" +
+             "}", getTaskTree());
+
+        simulateEvent(new MouseButtonDown(middleBtn), element1);
+        simulateEvent(new MouseButtonUp(middleBtn), element1);
+        simulateEvent(new MouseClick(rightBtn), element1);
+        simulateEvent(new DummyInteraction("bla", 1), element2);
+
+        new TaskTreeChecker().assertTaskTree
+            ("Sequence sequence0 {" +
+             "  Sequence sequence1 {" +
+             "    Event LeftMouseClick {}" +
+             "    Event bla {}" +
+             "    Event bli {}" +
+             "    Event MiddleMouseClick {}" +
+             "    Event blo {}" +
+             "    Event blu {}" +
+             "  }" +
+             "  Sequence sequence2 {" +
+             "    Event bla {}" +
+             "    Event bli {}" +
+             "    Event RightMouseClick {}" +
+             "    Event blo {}" +
+             "    Event blu {}" +
+             "  }" +
+             "  Sequence sequence3 {" +
+             "    Event LeftMouseButtonDown {}" +
+             "    Event LeftMouseButtonUp {}" +
+             "  }" +
+             "  Sequence sequence4 {" +
+             "    Event LeftMouseClick {}" +
+             "  }" +
+             "  Sequence sequence5 {" +
+             "    Sequence sequence6 {" +
+             "      Event MiddleMouseButtonDown {}" +
+             "      Event MiddleMouseButtonUp {}" +
+             "    }" +
+             "    Event RightMouseClick {}" +
+             "  }" +
+             "  Sequence sequence7 {" +
+             "    Event bla {}" +
+             "  }" +
+             "}", getTaskTree());
+
+    }
+
 }
Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java	(revision 468)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/DefaultTextInputReductionRuleTest.java	(revision 557)
@@ -1,3 +1,2 @@
-//-------------------------------------------------------------------------------------------------
 // Module    : $RCSfile: DefaultIterationDetectionRuleTest.java,v $
 // Version   : $Revision: 0.0 $  $Author: patrick $  $Date: 28.04.2012 $
@@ -5,18 +4,17 @@
 // Creation  : 2012 by patrick
 // Copyright : Patrick Harms, 2012
-//-------------------------------------------------------------------------------------------------
+
 package de.ugoe.cs.quest.tasktrees.temporalrelation;
 
 import org.junit.Test;
 
-import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
-import de.ugoe.cs.quest.eventcore.guimodel.TextField;
-import de.ugoe.cs.quest.eventcore.userinteraction.KeyPressed;
-import de.ugoe.cs.quest.eventcore.userinteraction.KeyReleased;
+import de.ugoe.cs.quest.eventcore.gui.KeyPressed;
+import de.ugoe.cs.quest.eventcore.gui.KeyReleased;
+import de.ugoe.cs.quest.eventcore.guimodel.IGUIElement;
+import de.ugoe.cs.quest.eventcore.guimodel.ITextField;
 import de.ugoe.cs.quest.tasktrees.testutils.DummyGUIElement;
 import de.ugoe.cs.quest.tasktrees.testutils.TaskTreeChecker;
 import de.ugoe.cs.tasktree.keyboardmaps.VirtualKey;
 
-//-------------------------------------------------------------------------------------------------
 /**
  * TODO comment
